Bug 850067

Summary: Introduce new systemd-rpm macros in conntrack-tools spec file
Product: [Fedora] Fedora Reporter: Lukáš Nykrýn <lnykryn>
Component: conntrack-toolsAssignee: Paul P Komkoff Jr <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 18CC: i, pwouters, twoerner
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: conntrack-tools-1.4.2-3.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-30 05:03:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 850016    

Description Lukáš Nykrýn 2012-08-21 13:30:02 UTC
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).

Comment 1 Fedora End Of Life 2013-12-21 08:42:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2013-12-21 14:33:33 UTC
conntrack-tools-1.4.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/conntrack-tools-1.4.2-3.fc20

Comment 3 Fedora Update System 2013-12-21 14:33:42 UTC
conntrack-tools-1.4.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/conntrack-tools-1.4.2-3.fc19

Comment 4 Fedora Update System 2013-12-22 05:31:48 UTC
Package conntrack-tools-1.4.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing conntrack-tools-1.4.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23764/conntrack-tools-1.4.2-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-30 05:03:25 UTC
conntrack-tools-1.4.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-12-30 05:03:40 UTC
conntrack-tools-1.4.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.